Subject: [Sigtran] Re: Query regarding multiple SCTP associations between ASP & SGP

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Tue, 6 Feb 2007 23:33:32 -0700

Magesh,

I think you are confusing multiple SCTP associations between hosts
for multiple SCTP associations between one SGP and one ASP.  Note
that SGP and ASP are not synonymous with host.  See for example
RFC 4666/Figure A-1 which shows Hosts with more than one SGP and
Hosts with more than one ASP, but not more than one SCTP association
per SGP-ASP relation.

--brian

Magesh Shanmugam wrote:                        (Wed, 07 Feb 2007 11:43:26)
> 
>    Hi Brian
> 
> 
> 
>    I  have  a  query regarding "multiple SCTP association between ASP and
>    SGP".   If we have more than one SCTP association between ASP and SGP,
>    are we going to send ASPTM & ASPSM messages
> 
>    on  both  the  associations  or  on  only  one  association.  The main
>    advantages  having  multiple  association  between  SGP  and  ASP  are
>    loadsharing & changeover (when one of the SCTP association goes
> 
>    down).
> 
> 
> 
>    Regards
> 
>    S Magesh

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 7 Feb 2007 02:45:24 -0700

Magesh,

As I believe I already mentioned, if the ASP identifies itself with the
same ASP Id on multiple associations to the SGP, then the SGP responds
to all but one ASP Up with ERR("Invalid ASP Identifier").  If the ASP
does not identify itself, and the SGP suspects that there are multiple
associations to the same ASP, it can compel the ASP to identify itself
by ASP Id by sending ERR("ASP Identifier Required") in response to an
ASP Up missing an ASP Id.  Otherwise, the SGP is _welcome_to_treat_them_
_as_independent_ASPs_ (i.e. they must go up and down, and activate and
deactivate AS independently of one another).  The SGP could spawn a new
SGP process to handle the case where the ASP identifies itself the same
on multiple associations.

In the end, both an ASP and SGP are logical concepts.  Unless an ASP
can be identified as the same on two associations (via configuration or
ASP Id), the SGP treats each ASP on the end of an SCTP association as
independent of any other.  Otherwise, the SGP can return an error or
spawn a new SGP to handle the association.

The spec is quite flexible here.  Implementation design will impose its
own restrictions.

--brian

Magesh Shanmugam wrote:                              (Wed, 07 Feb 2007 12:36:12)
> Brian
> 
> I'm clear with one host having multiple Instances (i.e. one AS having
> multiple ASPs).  I agree that there should be only one SCTP association
> between one ASP and one SGP, but if we have multiple SCTP associations
> between the ASP & SGP, what should we do with respect to ASPTM and ASPSM
> message handling, because there is no such restriction imposed between
> ASP/SGP or IPSP/IPSP to have only one SCTP association.
> 
> Thanks
> S Magesh
> 
> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]] 
> Sent: Wednesday, February 07, 2007 12:04 PM
> To: Magesh Shanmugam
> Cc: [email-masked]
> Subject: Re: Query regarding multiple SCTP associations between ASP & SGP
> 
> Magesh,
> 
> I think you are confusing multiple SCTP associations between hosts for
> multiple SCTP associations between one SGP and one ASP.  Note that SGP and
> ASP are not synonymous with host.  See for example RFC 4666/Figure A-1 which
> shows Hosts with more than one SGP and Hosts with more than one ASP, but not
> more than one SCTP association per SGP-ASP relation.
> 
> --brian
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/